/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* E.P. Scene Graph
* Developed by:
*       - Eduardo Ribeiro (eribeiro @ tecgraf . puc-rio . br)
*       - Peter Dam (peter @ tecgraf . puc-rio . br)
* File: Entity.h
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef _EPSG_ENTITY_
#define _EPSG_ENTITY_

#include "EPSG/Leaf.h"
#include "EPSG/Prototypes.h"

namespace EPSG
{
	class Entity : public Leaf
	{
	public:
		/* [CONSTRUCTOR] */	Entity();

		virtual void		render();

		void				setAppearance( EPSG::Appearance* a );
		void				setShape( EPSG::Shape* s );

		EPSG::Appearance*	getAppearance();
		EPSG::Shape*		getShape();

	protected:
		EPSG::Appearance*	_appearance;
		EPSG::Shape*		_shape;
	};
}

#endif //_EPSG_ENTITY_